library(ergm)
library(ergm.count)
setwd("C:/Users/usuario/Documents/turismo/2021/sitycleta/datos")
elw=read.csv("edgesweighted.csv",sep=";",dec=".")
dist=read.csv("matrizdistancias2.csv",sep=";",dec=".",header=FALSE)
stations=read.csv("stations.csv",sep=";",dec=".")
pesos=elw[,4]
#empty network. añadir lenght stations
net=network.initialize(39,directed=FALSE)
pesosmatrix=as.matrix(pesos)
neta=as.data.frame(elw[,1:2])
net[neta,names.eval="weights",add.edges=TRUE]=pesosmatrix[,1]
plot(net)
net%v%"stations500m"<-stations$puntos.bici.en.500.m
net%v%"pob250m"<-stations$pob.250.m
net%v%"emp_cp"<-stations$empleados_cp
net%v%"turist_leis"<-stations$Turist_leisure
net%v%"comercial"<-stations$comercial
net%v%"rent"<-stations$rent
net%v%"high"<-stations$high
matrixdist=as.matrix(dist)
net%e%"distances"=matrixdist
est10=ergm(net~sum+transitiveweights("min","max","min")+nodecov("stations500m")+nodecov("pob250m")+nodecov("emp_cp")+nodefactor("high")+nodemix("rent",base=3)+nodemix("turist_leis",base=1)+nodemix("comercial",base=1)+edgecov(matrixdist,attr="distances"),response="weights",reference=~Binomial(5))
summary(est10)
est10b=ergm(net~sum+transitiveweights("min","max","min")+nodecov("stations500m")+nodecov("pob250m")+nodecov("emp_cp")+nodefactor("high")+nodefactor("rent")+nodemix("turist_leis",base=1)+nodemix("comercial",base=1)+edgecov(matrixdist,attr="distances"),response="weights",reference=~Binomial(5))
summary(est10b)
